#!/bin/bash

# provide custom python packages so they can be imported
flagdir=/storage/app/EWS/General/EWS-python/custom_modules/flagdir/
epimodel=/storage/app/EWS/General/EWS-EpiModel/
advisory=/storage/app/EWS/General/EWS-advisory-builder/
met_extractor=/storage/app/EWS/General/EWS-met_extractor/era5_met_data_extraction/python/
export PYTHONPATH=$PYTHONPATH:$flagdir:$epimodel:$advisory:$met_extractor

# activate conda environment of python modules so they can be imported
conda_env=/storage/app/EWS/General/EWS-python/py3EWS
source /storage/app/miniconda3/bin/activate ${conda_env}

# get path of this script (to point to files within the same git repo)
proc_path="$( dirname "$(readlink -f "$0" )" )"

# run the processor with all arguments
python ${proc_path}/Processor.py "$@"

# deactivate conda environment
source /storage/app/miniconda3/bin/deactivate ${conda_env}

